#!/bin/bash

sudo aptitude install python-dev python-setuptools libblas-dev liblapack-dev gfortran build-essential qhull-bin libqhull-dev

sudo easy_install pip
sudo pip install mercurial


sudo pip install virtualenv
sudo pip install virtualenvwrapper

mkdir ~/.virtualenvs
echo 'source $(which virtualenvwrapper.sh)' >> .bashrc

mkvirtualenv --no-site-packages research

pip install numpy
pip install scipy


mkdir ~/src
cd ~/src && hg clone https://mcquay.me/hg/research
cd ~/src/research && python setup.py develop
cd ~/src/research && python test/all.py
