#!/usr/bin/python

from subprocess import Popen, PIPE

def get_qdelaunay_dump(g):
  cmd = 'qdelaunay Qt f'
  p = Popen(cmd.split(), bufsize=1, stdin=PIPE, stdout=PIPE)
  so, se = p.communicate(g.for_qhull())
  for i in so.splitlines():
    yield i

def get_qdelaunay_dump_str(g):
  return "\n".join(get_qdelaunay_dump(g))

def get_index_only(g):
  cmd = 'qdelaunay Qt i'
  p = Popen(cmd.split(), bufsize=1, stdin=PIPE, stdout=PIPE)
  so, se = p.communicate(g.for_qhull())
  for i in so.splitlines():
    yield i

def get_index_only_str(g):
  return "\n".join(get_index_only(g))
